function WeaponFactoryTweakData:moe_setup_forbid( mod_one, mod_two )
    if self.parts[mod_one] and self.parts[mod_two] then
        self.parts[mod_one].forbids = self.parts[mod_one].forbids or {}
        table.insert(self.parts[mod_one].forbids, mod_two)
        self.parts[mod_two].forbids = self.parts[mod_two].forbids or {}
        table.insert(self.parts[mod_two].forbids, mod_one)
    end
end

Hooks:PostHook( WeaponFactoryTweakData, "init", "MOELongModInit", function(self)

	self.parts.wpn_fps_upg_fg_moe2.adds = nil
	self.parts.wpn_fps_upg_fg_moe2.forbids = nil
	self:moe_setup_forbid("wpn_fps_upg_fg_moe2", "wpn_fps_m4_uupg_b_short")
	self:moe_setup_forbid("wpn_fps_upg_fg_moe2", "wpn_fps_m4_uupg_b_sd")
	
	
	self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_upg_m4_m_pmag = { unit = "units/mods/weapons/wpn_fps_upg_m4_m_pmag_moe/wpn_fps_upg_m4_m_pmag_black" }
	self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_upg_m4_s_pts = { unit = "units/mods/weapons/wpn_fps_upg_m4_s_pts_moe/wpn_fps_upg_m4_s_pts_black" }
	
	-- default sight override, using emo sight
	self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_m4_uupg_o_flipup = { 
		third_unit = "units/payday2/weapons/wpn_third_ass_m4_pts/wpn_third_m4_uupg_o_flipup_emo",
		unit = "units/payday2/weapons/wpn_fps_ass_m4_pts/wpn_fps_m4_uupg_o_flipup_emo"
	}
	
	
	--Front Sight M4 mod compat
	if BeardLib.Utils:FindMod("FrontSightM4") then
		self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_m4_uupg_fs_flipup = { a_obj = "a_fs_moe2" }
	end
	
	--Pawcio Ironsight Pack mod compat
	if BeardLib.Utils:FindMod("Iron Sights Pack") then
		self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_upg_o_var_dd_a1_front = {a_obj = "a_of_moe2"}
		self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_upg_o_var_kac_front = {a_obj = "a_of_moe2"}
		self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_upg_o_var_m4flipup_front = {a_obj = "a_of_moe2"}
		self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_upg_o_var_mbus_front = {a_obj = "a_of_moe2"}
		self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_upg_o_var_scorpionevo_front = {a_obj = "a_of_moe2"}
		self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_upg_o_var_troy_front = {a_obj = "a_of_moe2"}
		self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_upg_o_var_troym4_front = {a_obj = "a_of_moe2"}
	end
	
	if BeardLib.Utils:FindMod("Standalone M16 Iron Sights") then
		self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_m4_uupg_fg_rail_ext_mod = { a_obj = "a_gb_railed_fg_moe2" }
		self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_ass_m16_os_frontsight_mod = { a_obj = "a_gb_frontsight_fg_moe2" }
        self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_ass_m16_os_frontsight = { a_obj = "a_gb_frontsight_fg_moe2" }
        self.parts.wpn_fps_upg_fg_moe2.override.wpn_fps_ass_m16_os_gas_tube = { a_obj = "a_gb_frontsight_fg_moe2" }
	end

	-- if BeardLib.Utils:FindMod("Rail Covers") then
		-- table.insert(self.parts.wpn_fps_upg_fg_moe2.forbids, wpn_fps_m4_rc)
		-- table.insert(self.parts.wpn_fps_upg_fg_moe2.forbids, wpn_fps_m4_rc_nob)
		-- table.insert(self.parts.wpn_fps_upg_fg_moe2.forbids, wpn_fps_m4_rc_top)
		-- table.insert(self.parts.wpn_fps_upg_fg_moe2.forbids, wpn_fps_m4_rc_top_nob)
	-- end

end )
